Lab Observation

A lab observation contains a patient's actual result for a particular component that was tested.

The lab observation model

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the lab observation.

  • Name
    object
    Type
    string
    Description

    Always 'lab_observation'.

  • Name
    patient
    Type
    string
    Description

    Patient this lab observation is for.

  • Name
    lab_result
    Type
    string
    Description

    Lab result this lab observation is associated with.

  • Name
    loinc
    Type
    string
    Description

    Loinc code this lab observation is for.

  • Name
    name
    Type
    string
    Description

    Name of lab observation.

  • Name
    value
    Type
    number
    Description

    Patient's result value for this observation.

  • Name
    units
    Type
    string
    Description

    Units for test.

  • Name
    reference_range
    Type
    string
    Description

    Reference range for test.

  • Name
    abnormal
    Type
    string
    Description

    Whether the patient's result is abnormal.

  • Name
    status
    Type
    string
    Description

    Status of the lab observation.

    Possible values:
    correction
    delete
    finalResult
    pendingResult
    orderDetailOnly
    preliminaryResults
    enteredResults
    partialResults
    cannotObtainResults
    wrongPatient

Response

{
    "id": "lobs_GD9pGyt67wTor93qKtS7",
    "object": "lab_observation",
    "patient": "user_Z1zXZKvqrpwxbznuW6lJ",

    "loinc": "26464-8",
    "name": "WBC count",
    "value": 12.1,
    "units": "K/uL",
    "reference_range": "3.7 - 11.1 K/uL",
    "abnormal": "high",
    "status": "finalResult",
    "name": "CBC",
}


GET/v2/lab_observations/:id

Retrieve a lab observation

Retrieves the specified lab observation.

Request

GET
/v2/lab_observations/:id
curl "https://{{base_subdomain}}.avonhealth.com/v2/lab_observations/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
        "id": "lobs_GD9pGyt67wTor93qKtS7",
        "object": "lab_observation",
        "patient": "user_Z1zXZKvqrpwxbznuW6lJ",

        "loinc": "26464-8",
        "name": "WBC count",
        "value": 12.1,
        "units": "K/uL",
        "reference_range": "3.7 - 11.1 K/uL",
        "abnormal": "high",
        "status": "finalResult",
        "name": "CBC",
    }


GET/v2/lab_observations

List all lab observations

Returns a list of all lab observations.

Request

GET
/v2/lab_observations
curl "https://{{base_subdomain}}.avonhealth.com/v2/lab_observations" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      "object": "list",
      "data": [
        {
            "id": "lobs_GD9pGyt67wTor93qKtS7",
            "object": "lab_observation",
            "patient": "user_Z1zXZKvqrpwxbznuW6lJ",

            "loinc": "26464-8",
            "name": "WBC count",
            "value": 12.1,
            "units": "K/uL",
            "reference_range": "3.7 - 11.1 K/uL",
            "abnormal": "high",
            "status": "finalResult",
            "name": "CBC",
        },
      ]
    }